import { createRouter, createWebHashHistory } from 'vue-router'
import staticRoutes from './static'
//加载动画
import NProgress from 'nprogress'
import 'nprogress/nprogress.css'
import { loading } from '../utils/loading'

const router = createRouter({
  history: createWebHashHistory(),
  routes: staticRoutes,
})
router.beforeEach((to, from, next) => {
  NProgress.configure({ showSpinner: false })
  NProgress.start()
  if (!window.existLoading) {
      loading.show()
      window.existLoading = true
  }
  next()
})

// 路由守卫
// router.beforeEach((to, from, next) => {
//   // 假设有一个需要登录的路由 meta 字段为 requiresAuth
//   const requiresAuth = to.meta.requiresAuth;

//   if (requiresAuth && !isUserLoggedIn()) {
//     ElMessage.error('请先登录');
//     next('/login'); // 跳转到登录页面
//   } else {
//     next(); // 继续路由导航
//   }
// });

// 路由加载后
router.afterEach(() => {
  if (window.existLoading) {
      loading.hide()
  }
  NProgress.done()
})

export default router